Публичный каталог моделей генерации изображений, видео, аудио и музыки. API-ключ не нужен.Этот эндпоинт — источник истины для параметров и цен: он всегда соответствует текущей версии API. Таблицы в документации лишь иллюстрируют каталог, а о том, что модель принимает на вход, решайте по input_schema отсюда.
Идентификатор, который подставляется в model при создании задачи
media_type
image, video или audio
capabilities
Возможности модели: генерация по тексту или по изображению, липсинк, работа с текстом на картинке
input_schema
JSON Schema входных параметров
pricing
Тип тарификации и цены
Идентификаторы чувствительны к регистру, а часть из них имеет пространство имён: google/nano-banana, ideogram/v3-text-to-image, qwen2/text-to-image. Другие идут без него: nano-banana-2, flux-kontext-pro. Берите id из каталога и подставляйте как есть.
input_schema описывает объект input запроса. Это JSON Schema с properties, required и описанием ограничений по каждому свойству.
Ключ ограничения
Что означает
description
Что делает параметр
default
Значение по умолчанию
enum
Допустимые значения
minimum, maximum
Границы числа
sentinel
Дискретное принимаемое значение, а не нижняя граница
minLength, maxLength
Границы длины строки
minItems, maxItems
Границы количества элементов в массиве
sentinel — это дискретное принимаемое значение (например, -1 означает «выбрать автоматически»), а не нижняя граница. Значение minimum при этом может быть другим.
Цена за единицу: секунды, символы, количество картинок
У tiered список цен лежит в pricing.tiers[] — по записи на вариант параметров. У per_unit в pricing.unit_key указана единица тарификации, например duration.
Значение sentinel при выборе тарифа влияет на итог: если передать -1, длительность подберётся автоматически и будет учтена по факту.
# Обязательные поля с описаниямиcurl -s "https://speshu.ai/api/v1/media/models" \ | jq -r '.data[] | select(.id == "nano-banana-2") | .input_schema as $s | $s.required[] | " \(.): \($s.properties[.].description)"'
import requestscatalog = requests.get( "https://speshu.ai/api/v1/media/models", timeout=30).json()["data"]model = next(m for m in catalog if m["id"] == "nano-banana-2")schema = model["input_schema"]required = schema.get("required", [])payload = { "model": model["id"], "input": { name: schema["properties"][name].get("default") for name in required },}payload["input"]["prompt"] = "Описание результата"
Модель, которой нет в ответе этого эндпоинта, отключена: задачу с ней создать нельзя, придёт 422. Ориентируйтесь на выдачу API, а не на список в документации.
{"docsConfig":{"theme":"luma","$schema":"https://mintlify.com/docs.json","name":"Документация SpeShu.AI","colors":{"primary":"#ff7819","light":"#ff9038","dark":"#ff7819"},"logo":{"light":"https://mintcdn.com/speshu/HiupqL5TwnvMFufM/logo/speshu_logo.png?fit=max\u0026auto=format\u0026n=HiupqL5TwnvMFufM\u0026q=85\u0026s=fd0fe3cc5f642899ca9d4e8bdee6a0f0","dark":"https://mintcdn.com/speshu/HiupqL5TwnvMFufM/logo/speshu_logo.png?fit=max\u0026auto=format\u0026n=HiupqL5TwnvMFufM\u0026q=85\u0026s=fd0fe3cc5f642899ca9d4e8bdee6a0f0"},"favicon":"https://mintcdn.com/speshu/4vy74SrUrHtVMEav/favicon.svg?fit=max\u0026auto=format\u0026n=4vy74SrUrHtVMEav\u0026q=85\u0026s=3fe1d515b10b46d55add95c515686b24","api":{"mdx":{"auth":{"method":"bearer","name":"Authorization"},"server":"https://speshu.ai"}},"appearance":{"default":"light"},"navbar":{"links":[{"href":"/support","label":"Поддержка"}],"primary":{"type":"button","label":"Профиль","href":"https://speshu.ai/profile"}},"footer":{"links":[{"items":[{"label":"Сотрудничество","href":"mailto:info@speshu.ai"},{"label":"Написать в ТГ","href":"https://t.me/sprt_speshu_ai"},{"label":"Клуб AI-Профи","href":"https://t.me/+9Fkgdpnm3axlN2Ji"}]}]},"contextual":{"options":["copy","view"],"display":"header"},"styling":{"latex":false},"navigation":{"global":{"anchors":[{"anchor":"Модели","icon":"microchip","href":"/api-reference/media/models"},{"anchor":"Каталог","icon":"list","href":"/models"},{"anchor":"Профиль","icon":"gauge","href":"https://speshu.ai/profile"},{"anchor":"Поддержка","icon":"headset","href":"/support"}]},"languages":[{"language":"ru","href":""}]}},"deployment":{"deploymentMetadataValue":{"subdomain":"speshu","hasAudioNarration":false,"actualSubdomain":"speshu","customDomains":["speshu.ai"],"gitSource":{"type":"github","owner":"laoboost","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":false,"mountPath":"","label":""},"entitlements":{"AI_CHAT":{"status":"DISABLED"}},"buildId":"6ad74369dcf1b2c01a0bc747","clientVersion":"0.0.4102","searchFilterCounts":[{"language":"ru","tag":"Руководства","count":41},{"language":"ru","tag":"API Reference","count":23},{"language":"ru","tag":"Документация","count":13},{"language":"ru","tag":"Фреймворки","count":12},{"language":"ru","tag":"Текстовая генерация","count":7},{"language":"ru","tag":"Агенты и редакторы","count":7},{"language":"ru","tag":"Медиа","count":6},{"language":"ru","tag":"О сервисе","count":6},{"language":"ru","tag":"Возможности моделей","count":6},{"language":"ru","tag":"Начало","count":5}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableContextualStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"/docs","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/media/models","slug":"/api-reference/media/models","pageMetadata":{"title":"Каталог медиа-моделей","description":"GET /api/v1/media/models — схемы параметров, цены и доступные модели","openapi":"api-reference/openapi.json GET /api/v1/media/models","icon":"microchip","href":"/api-reference/media/models"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"GET /api/v1/media/models — схемы параметров, цены и доступные модели\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,tbody:`tbody`,td:`td`,th:`th`,thead:`thead`,tr:`tr`,..._provideComponents(),...props.components},{Card,CardGroup,CodeBlock,CodeGroup,Heading,Note,Table,Warning}=_components;if(!Card)_missingMdxReference(`Card`,true);if(!CardGroup)_missingMdxReference(`CardGroup`,true);if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!CodeGroup)_missingMdxReference(`CodeGroup`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!Table)_missingMdxReference(`Table`,true);if(!Warning)_missingMdxReference(`Warning`,true);return _jsxs(_Fragment,{children:[_jsx(_components.p,{children:`Публичный каталог моделей генерации изображений, видео, аудио и музыки. API-ключ не нужен.`}),`\n`,_jsxs(_components.p,{children:[`Этот эндпоинт — источник истины для параметров и цен: он всегда соответствует текущей версии API. Таблицы в документации лишь иллюстрируют каталог, а о том, что модель принимает на вход, решайте по `,_jsx(_components.code,{children:`input_schema`}),` отсюда.`]}),`\n`,_jsx(Heading,{level:`2`,id:`фильтр`,children:`Фильтр`}),`\n`,_jsxs(_components.p,{children:[`Необязательный параметр `,_jsx(_components.code,{children:`capability`}),` оставляет только подходящие модели:`]}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`t2i`}),` · `,_jsx(_components.code,{children:`i2i`}),` · `,_jsx(_components.code,{children:`t2v`}),` · `,_jsx(_components.code,{children:`i2v`}),` · `,_jsx(_components.code,{children:`audio`}),` · `,_jsx(_components.code,{children:`lipsync`}),` · `,_jsx(_components.code,{children:`text-rendering`}),` · `,_jsx(_components.code,{children:`character-consistency`})]}),`\n`,_jsx(Heading,{level:`2`,id:`ответ`,children:`Ответ`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`30`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`30`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"list\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"nano-banana-2\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"title\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"Nano Banana 2\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"owned_by\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"speshu\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"media_type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"image\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"capabilities\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"t2i\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"i2i\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"is_new\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"pricing\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"currency\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"RUB\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"tiered\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tiers\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"params\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"resolution\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1K\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"price\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"12.50\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"params\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"resolution\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2K\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"price\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"24.00\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"input_schema\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"object\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"prompt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"maxLength\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`20000`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"resolution\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"type\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"string\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"enum\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1K\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"2K\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"4K\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`], `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"default\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"1K\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"prompt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Поле`}),_jsx(_components.th,{children:`Описание`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`id`})}),_jsxs(_components.td,{children:[`Идентификатор, который подставляется в `,_jsx(_components.code,{children:`model`}),` при создании задачи`]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`media_type`})}),_jsxs(_components.td,{children:[_jsx(_components.code,{children:`image`}),`, `,_jsx(_components.code,{children:`video`}),` или `,_jsx(_components.code,{children:`audio`})]})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`capabilities`})}),_jsx(_components.td,{children:`Возможности модели: генерация по тексту или по изображению, липсинк, работа с текстом на картинке`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`input_schema`})}),_jsx(_components.td,{children:`JSON Schema входных параметров`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`pricing`})}),_jsx(_components.td,{children:`Тип тарификации и цены`})]})]})]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[`Идентификаторы чувствительны к регистру, а часть из них имеет пространство имён: `,_jsx(_components.code,{children:`google/nano-banana`}),`, `,_jsx(_components.code,{children:`ideogram/v3-text-to-image`}),`, `,_jsx(_components.code,{children:`qwen2/text-to-image`}),`. Другие идут без него: `,_jsx(_components.code,{children:`nano-banana-2`}),`, `,_jsx(_components.code,{children:`flux-kontext-pro`}),`. Берите `,_jsx(_components.code,{children:`id`}),` из каталога и подставляйте как есть.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`схема-входных-параметров`,children:`Схема входных параметров`}),`\n`,_jsxs(_components.p,{children:[_jsx(_components.code,{children:`input_schema`}),` описывает объект `,_jsx(_components.code,{children:`input`}),` запроса. Это JSON Schema с `,_jsx(_components.code,{children:`properties`}),`, `,_jsx(_components.code,{children:`required`}),` и описанием ограничений по каждому свойству.`]}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:`Ключ ограничения`}),_jsx(_components.th,{children:`Что означает`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`description`})}),_jsx(_components.td,{children:`Что делает параметр`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`default`})}),_jsx(_components.td,{children:`Значение по умолчанию`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`enum`})}),_jsx(_components.td,{children:`Допустимые значения`})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`minimum`}),`, `,_jsx(_components.code,{children:`maximum`})]}),_jsx(_components.td,{children:`Границы числа`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`sentinel`})}),_jsxs(_components.td,{children:[`Дискретное принимаемое значение, а `,_jsx(_components.strong,{children:`не`}),` нижняя граница`]})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`minLength`}),`, `,_jsx(_components.code,{children:`maxLength`})]}),_jsx(_components.td,{children:`Границы длины строки`})]}),_jsxs(_components.tr,{children:[_jsxs(_components.td,{children:[_jsx(_components.code,{children:`minItems`}),`, `,_jsx(_components.code,{children:`maxItems`})]}),_jsx(_components.td,{children:`Границы количества элементов в массиве`})]})]})]}),`\n`,_jsx(Warning,{children:_jsxs(_components.p,{children:[_jsx(_components.code,{children:`sentinel`}),` — это дискретное принимаемое значение (например, `,_jsx(_components.code,{children:`-1`}),` означает «выбрать автоматически»), а не нижняя граница. Значение `,_jsx(_components.code,{children:`minimum`}),` при этом может быть другим.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`цены`,children:`Цены`}),`\n`,_jsxs(Table,{children:[_jsx(_components.thead,{children:_jsxs(_components.tr,{children:[_jsx(_components.th,{children:_jsx(_components.code,{children:`pricing.type`})}),_jsx(_components.th,{children:`Что означает`})]})}),_jsxs(_components.tbody,{children:[_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`fixed`})}),_jsx(_components.td,{children:`Одна цена за генерацию`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`tiered`})}),_jsx(_components.td,{children:`Цена зависит от параметров: разрешения, качества`})]}),_jsxs(_components.tr,{children:[_jsx(_components.td,{children:_jsx(_components.code,{children:`per_unit`})}),_jsx(_components.td,{children:`Цена за единицу: секунды, символы, количество картинок`})]})]})]}),`\n`,_jsxs(_components.p,{children:[`У `,_jsx(_components.code,{children:`tiered`}),` список цен лежит в `,_jsx(_components.code,{children:`pricing.tiers[]`}),` — по записи на вариант параметров. У `,_jsx(_components.code,{children:`per_unit`}),` в `,_jsx(_components.code,{children:`pricing.unit_key`}),` указана единица тарификации, например `,_jsx(_components.code,{children:`duration`}),`.`]}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Значение `,_jsx(_components.code,{children:`sentinel`}),` при выборе тарифа влияет на итог: если передать `,_jsx(_components.code,{children:`-1`}),`, длительность подберётся автоматически и будет учтена по факту.`]})}),`\n`,_jsx(Heading,{level:`2`,id:`как-пользоваться`,children:`Как пользоваться`}),`\n`,_jsxs(CodeGroup,{children:[_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`3`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`3`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# Схема конкретной модели`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -s`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://speshu.ai/api/v1/media/models\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` |`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:` jq`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '.data[] | select(.id == \"nano-banana-2\") | .input_schema'`})]}),`\n`]})})}),_jsx(CodeBlock,{filename:`cURL`,numberOfLines:`6`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`6`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#6E7781`,\"--shiki-dark\":`#6A9955`},children:`# Обязательные поля с описаниями`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -s`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://speshu.ai/api/v1/media/models\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:` |`}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:` jq`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -r`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` '.data[] | select(.id == \"nano-banana-2\")`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` | .input_schema as $s`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` | $s.required[]`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` | \" \\\\(.): \\\\($s.properties[.].description)\"'`})}),`\n`]})})}),_jsx(CodeBlock,{filename:`Python`,numberOfLines:`18`,language:`python`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`python`,children:_jsxs(_components.code,{language:`python`,numberOfLines:`18`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`import`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`catalog `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` requests.get(`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://speshu.ai/api/v1/media/models\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#9CDCFE`},children:`timeout`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`30`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`).json()[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`model `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#DCDCAA`},children:` next`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`(m `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`for`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` m `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`in`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` catalog `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`if`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` m[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`] `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`==`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"nano-banana-2\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`schema `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` model[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"input_schema\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`]`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`required `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` schema.get(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"required\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, [])`})]}),`\n`,_jsx(_components.span,{className:`line`}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`payload `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"model\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: model[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"input\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` name: schema[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"properties\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`][name].get(`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"default\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`)`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:` for`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` name `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#C586C0`},children:`in`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` required`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`payload[`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"input\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`][`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"prompt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`] `}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D4D4D4`},children:`=`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"Описание результата\"`})]}),`\n`]})})})]}),`\n`,_jsx(Note,{children:_jsxs(_components.p,{children:[`Модель, которой нет в ответе этого эндпоинта, отключена: задачу с ней создать нельзя, придёт `,_jsx(_components.code,{children:`422`}),`. Ориентируйтесь на выдачу API, а не на список в документации.`]})}),`\n`,_jsxs(CardGroup,{cols:2,children:[_jsx(Card,{title:`Создать задачу`,icon:`plus`,href:`/api-reference/media/create`,children:_jsx(_components.p,{children:`Запуск генерации`})}),_jsx(Card,{title:`Модели изображений`,icon:`image`,href:`/api-reference/media/image-models`,children:_jsx(_components.p,{children:`Полный перечень с параметрами`})}),_jsx(Card,{title:`Модели видео`,icon:`video`,href:`/api-reference/media/video-models`,children:_jsx(_components.p,{children:`Полный перечень с параметрами`})}),_jsx(Card,{title:`Аудио и музыка`,icon:`volume-high`,href:`/api-reference/media/audio-models`,children:_jsx(_components.p,{children:`Полный перечень с параметрами`})})]})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Каталог медиа-моделей","description":"GET /api/v1/media/models — схемы параметров, цены и доступные модели","openapi":"api-reference/openapi.json GET /api/v1/media/models","icon":"microchip","href":"/api-reference/media/models"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Фильтр","slug":"фильтр","depth":2,"children":[]},{"title":"Ответ","slug":"ответ","depth":2,"children":[]},{"title":"Схема входных параметров","slug":"схема-входных-параметров","depth":2,"children":[]},{"title":"Цены","slug":"цены","depth":2,"children":[]},{"title":"Как пользоваться","slug":"как-пользоваться","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"tags":["Справочник"],"operationId":"listMediaModels","summary":"Каталог медиа-моделей","description":"GET /api/v1/media/models — схемы параметров, цены и доступные модели","parameters":["1bc75ac3-9aef-4635-ac0a-ee2a63727a39"],"security":[],"responses":{"200":"59601639-2f81-48de-8488-c3be36c926e7","500":"f1210dc7-7d80-41d6-b4bd-0504a8b4acd4"},"method":"get","type":"path","servers":["8a2807ef-ac4b-47e6-8d72-307eede96316"],"path":"/api/v1/media/models","baseUrlOptions":["https://speshu.ai"],"title":"Каталог медиа-моделей","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"1bc75ac3-9aef-4635-ac0a-ee2a63727a39":{"name":"capability","in":"query","schema":{"type":"string","enum":["t2i","i2i","t2v","i2v","audio","lipsync","text-rendering","character-consistency"],"description":"Фильтр по возможности модели.","uniqueKey":"","typeLabel":"enum\u003cstring>"},"description":"Фильтр по возможности модели."}},"responses":{"59601639-2f81-48de-8488-c3be36c926e7":{"description":"Каталог моделей.","content":{"application/json":{"schema":{"type":"object","properties":{"object":{"type":"string","examples":["list"],"isRequired":true,"uniqueKey":"object","typeLabel":"string"},"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","isRequired":true,"uniqueKey":"data.items.[INDEX].id","typeLabel":"string"},"media_type":{"type":"string","enum":["image","video","audio"],"isRequired":true,"uniqueKey":"data.items.[INDEX].media_type","typeLabel":"enum\u003cstring>"},"input_schema":{"type":"object","properties":{"type":{"type":"string","uniqueKey":"data.items.[INDEX].input_schema.type","typeLabel":"string"},"properties":{"type":"object","additionalProperties":true,"uniqueKey":"data.items.[INDEX].input_schema.properties","typeLabel":"object"},"required":{"type":"array","items":{"type":"string","uniqueKey":"data.items.[INDEX].input_schema.required.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.items.[INDEX].input_schema.required","typeLabel":"string[]"}},"isRequired":true,"uniqueKey":"data.items.[INDEX].input_schema","typeLabel":"object"},"title":{"type":"string","uniqueKey":"data.items.[INDEX].title","typeLabel":"string"},"object":{"type":"string","uniqueKey":"data.items.[INDEX].object","typeLabel":"string"},"owned_by":{"type":"string","uniqueKey":"data.items.[INDEX].owned_by","typeLabel":"string"},"capabilities":{"type":"array","items":{"type":"string","enum":["t2i","i2i","t2v","i2v","audio","lipsync","text-rendering","character-consistency"],"uniqueKey":"data.items.[INDEX].capabilities.items.[INDEX]","typeLabel":"enum\u003cstring>"},"uniqueKey":"data.items.[INDEX].capabilities","typeLabel":"enum\u003cstring>[]"},"is_new":{"type":"boolean","uniqueKey":"data.items.[INDEX].is_new","typeLabel":"boolean"},"pricing":{"type":"object","properties":{"currency":{"type":"string","examples":["RUB"],"uniqueKey":"data.items.[INDEX].pricing.currency","typeLabel":"string"},"type":{"type":"string","enum":["fixed","tiered","per_unit"],"uniqueKey":"data.items.[INDEX].pricing.type","typeLabel":"enum\u003cstring>"},"tiers":{"type":"array","items":{"type":"object","properties":{"params":{"type":"object","additionalProperties":true,"uniqueKey":"data.items.[INDEX].pricing.tiers.items.[INDEX].params","typeLabel":"object"},"price":{"type":"string","uniqueKey":"data.items.[INDEX].pricing.tiers.items.[INDEX].price","typeLabel":"string"}},"uniqueKey":"data.items.[INDEX].pricing.tiers.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.items.[INDEX].pricing.tiers","typeLabel":"object[]"},"unit_key":{"type":"string","description":"Единица тарификации для `per_unit`, например `duration`.","uniqueKey":"data.items.[INDEX].pricing.unit_key","typeLabel":"string"},"conditional_rates":{"type":"object","additionalProperties":true,"uniqueKey":"data.items.[INDEX].pricing.conditional_rates","typeLabel":"object"},"duration_source":{"type":"object","additionalProperties":true,"uniqueKey":"data.items.[INDEX].pricing.duration_source","typeLabel":"object"},"discount":{"type":"number","uniqueKey":"data.items.[INDEX].pricing.discount","typeLabel":"number"}},"uniqueKey":"data.items.[INDEX].pricing","typeLabel":"object"}},"required":["id","media_type","input_schema"],"uniqueKey":"data.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data","typeLabel":"object[]"}},"required":["object","data"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"object":"list","data":[{"id":"\u003cstring>","media_type":"image","input_schema":{"type":"\u003cstring>","properties":{},"required":["\u003cstring>"]},"title":"\u003cstring>","object":"\u003cstring>","owned_by":"\u003cstring>","capabilities":["t2i"],"is_new":true,"pricing":{"currency":"RUB","type":"fixed","tiers":[{"params":{},"price":"\u003cstring>"}],"unit_key":"\u003cstring>","conditional_rates":{},"duration_source":{},"discount":123}}]}}},"exampleType":"generated"}},"exampleType":"generated"},"f1210dc7-7d80-41d6-b4bd-0504a8b4acd4":{"description":"Ошибка в формате OpenAI.","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"message":{"type":"string","isRequired":true,"uniqueKey":"error.message","typeLabel":"string"},"type":{"type":"string","examples":["invalid_request_error"],"description":"`authentication_error` при 401, `rate_limit_error` при 429, `permission_error` при 403, в остальных случаях `invalid_request_error`, `api_error` или `internal_error`.","isRequired":true,"uniqueKey":"error.type","typeLabel":"string"},"param":{"oneOf":[{"type":"string","uniqueKey":"error.param.oneOf.0","typeLabel":"string"},{"type":"null","uniqueKey":"error.param.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.param","typeLabel":"string | null"},"code":{"oneOf":[{"type":"string","examples":["invalid_request"],"description":"Машиночитаемый код: `invalid_api_key`, `unauthorized`, `insufficient_quota`, `rate_limit_exceeded`, `token_limit_exceeded`, `content_too_large`, `limit_exceeded`, `model_not_found`, `no_providers`, `service_unavailable`, `provider_error`, `invalid_request`, `context_length_exceeded`, `internal_error`.","uniqueKey":"error.code.oneOf.0","typeLabel":"string"},{"type":"null","examples":["invalid_request"],"description":"Машиночитаемый код: `invalid_api_key`, `unauthorized`, `insufficient_quota`, `rate_limit_exceeded`, `token_limit_exceeded`, `content_too_large`, `limit_exceeded`, `model_not_found`, `no_providers`, `service_unavailable`, `provider_error`, `invalid_request`, `context_length_exceeded`, `internal_error`.","uniqueKey":"error.code.oneOf.1","typeLabel":"null"}],"uniqueKey":"error.code","typeLabel":"string | null"}},"required":["message","type"],"isRequired":true,"uniqueKey":"error","typeLabel":"object"}},"required":["error"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"error":{"message":"\u003cstring>","type":"invalid_request_error","param":"\u003cstring>","code":"invalid_request"}}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{"75af290f-155c-4710-ab6f-b7148fcd8787":{"Authorization":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."}}},"servers":{"8a2807ef-ac4b-47e6-8d72-307eede96316":{"url":"https://speshu.ai","description":"Production"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token."},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"Authorization","name":"Authorization"}],"title":"Authorization"}]},"originalFileLocation":"api-reference/openapi.json"},"subdomain":"speshu","siteName":"Документация SpeShu.AI","title":"Каталог медиа-моделей - Документация SpeShu.AI","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{"ru":{"href":"/api-reference/media/models","matchLevel":0}}},"lastModified":"2026-10-02T04:29:21.546Z","originalFileLocation":"api-reference/media/models.mdx","locale":"ru"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"GET /api/v1/media/models — схемы параметров, цены и доступные модели\">\u003cmeta data-mint-head name=\"application-name\" content=\"Документация SpeShu.AI\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/speshu/h8uCrMo0u7Pj0sRw/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/speshu/h8uCrMo0u7Pj0sRw/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/speshu/h8uCrMo0u7Pj0sRw/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/speshu/h8uCrMo0u7Pj0sRw/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/speshu/h8uCrMo0u7Pj0sRw/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/speshu/h8uCrMo0u7Pj0sRw/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/speshu/h8uCrMo0u7Pj0sRw/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/speshu/h8uCrMo0u7Pj0sRw/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/speshu/h8uCrMo0u7Pj0sRw/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Каталог медиа-моделей - Документация SpeShu.AI\">\u003cmeta data-mint-head property=\"og:description\" content=\"GET /api/v1/media/models — схемы параметров, цены и доступные модели\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Документация SpeShu.AI\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://speshu.ai/docs/api-reference/media/models\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://speshu.mintlify.site/docs/_mintlify/api/og/v2?division=%D0%93%D0%B5%D0%BD%D0%B5%D1%80%D0%B0%D1%86%D0%B8%D1%8F+%D0%BC%D0%B5%D0%B4%D0%B8%D0%B0\u0026amp;title=%D0%9A%D0%B0%D1%82%D0%B0%D0%BB%D0%BE%D0%B3+%D0%BC%D0%B5%D0%B4%D0%B8%D0%B0-%D0%BC%D0%BE%D0%B4%D0%B5%D0%BB%D0%B5%D0%B9\u0026amp;description=GET+%2Fapi%2Fv1%2Fmedia%2Fmodels+%E2%80%94+%D1%81%D1%85%D0%B5%D0%BC%D1%8B+%D0%BF%D0%B0%D1%80%D0%B0%D0%BC%D0%B5%D1%82%D1%80%D0%BE%D0%B2%2C+%D1%86%D0%B5%D0%BD%D1%8B+%D0%B8+%D0%B4%D0%BE%D1%81%D1%82%D1%83%D0%BF%D0%BD%D1%8B%D0%B5+%D0%BC%D0%BE%D0%B4%D0%B5%D0%BB%D0%B8\u0026amp;theme=e30006b63b476fd6b922259f\u0026amp;signature=b8924c042881c552e27264e91da0eae955d79922994e0dd291613f05236bdd8a\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Каталог медиа-моделей - Документация SpeShu.AI\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"GET /api/v1/media/models — схемы параметров, цены и доступные модели\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://speshu.mintlify.site/docs/_mintlify/api/og/v2?division=%D0%93%D0%B5%D0%BD%D0%B5%D1%80%D0%B0%D1%86%D0%B8%D1%8F+%D0%BC%D0%B5%D0%B4%D0%B8%D0%B0\u0026amp;title=%D0%9A%D0%B0%D1%82%D0%B0%D0%BB%D0%BE%D0%B3+%D0%BC%D0%B5%D0%B4%D0%B8%D0%B0-%D0%BC%D0%BE%D0%B4%D0%B5%D0%BB%D0%B5%D0%B9\u0026amp;description=GET+%2Fapi%2Fv1%2Fmedia%2Fmodels+%E2%80%94+%D1%81%D1%85%D0%B5%D0%BC%D1%8B+%D0%BF%D0%B0%D1%80%D0%B0%D0%BC%D0%B5%D1%82%D1%80%D0%BE%D0%B2%2C+%D1%86%D0%B5%D0%BD%D1%8B+%D0%B8+%D0%B4%D0%BE%D1%81%D1%82%D1%83%D0%BF%D0%BD%D1%8B%D0%B5+%D0%BC%D0%BE%D0%B4%D0%B5%D0%BB%D0%B8\u0026amp;theme=e30006b63b476fd6b922259f\u0026amp;signature=b8924c042881c552e27264e91da0eae955d79922994e0dd291613f05236bdd8a\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/speshu/h8uCrMo0u7Pj0sRw/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Документация SpeShu.AI\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#ff7819\">\u003clink data-mint-head rel=\"canonical\" href=\"https://speshu.ai/docs/api-reference/media/models\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/api-reference/media/models.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://speshu.ai/#organization\",\"name\":\"Документация SpeShu.AI\",\"url\":\"https://speshu.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/speshu/HiupqL5TwnvMFufM/logo/speshu_logo.png?fit=max\u0026auto=format\u0026n=HiupqL5TwnvMFufM\u0026q=85\u0026s=fd0fe3cc5f642899ca9d4e8bdee6a0f0\"}},{\"@type\":\"WebSite\",\"@id\":\"https://speshu.ai/docs#website\",\"name\":\"Документация SpeShu.AI\",\"url\":\"https://speshu.ai/docs\",\"publisher\":{\"@id\":\"https://speshu.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://speshu.ai/docs/api-reference/media/models#webpage\",\"url\":\"https://speshu.ai/docs/api-reference/media/models\",\"name\":\"Каталог медиа-моделей\",\"description\":\"GET /api/v1/media/models — схемы параметров, цены и доступные модели\",\"dateModified\":\"2026-10-02T04:29:21.546Z\",\"isPartOf\":{\"@id\":\"https://speshu.ai/docs#website\"},\"breadcrumb\":{\"@id\":\"https://speshu.ai/docs/api-reference/media/models#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://speshu.ai/docs/api-reference/media/models#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Документация SpeShu.AI\",\"item\":\"https://speshu.ai/docs\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Каталог медиа-моделей\",\"item\":\"https://speshu.ai/docs/api-reference/media/models\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://speshu.ai/docs/api-reference/media/models#apireference\",\"headline\":\"Каталог медиа-моделей\",\"name\":\"Каталог медиа-моделей\",\"description\":\"GET /api/v1/media/models — схемы параметров, цены и доступные модели\",\"url\":\"https://speshu.ai/docs/api-reference/media/models\",\"mainEntityOfPage\":{\"@id\":\"https://speshu.ai/docs/api-reference/media/models#webpage\"},\"dateModified\":\"2026-10-02T04:29:21.546Z\",\"publisher\":{\"@id\":\"https://speshu.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://speshu.ai/docs#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Документация SpeShu.AI\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Документация SpeShu.AI\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/docs/api-reference/media/models.md","siteName":"Документация SpeShu.AI","nav":{"global":{"anchors":[{"anchor":"Модели","icon":"microchip","href":"/api-reference/media/models"},{"anchor":"Каталог","icon":"list","href":"/models"},{"anchor":"Профиль","icon":"gauge","href":"https://speshu.ai/profile"},{"anchor":"Поддержка","icon":"headset","href":"/support"}]},"languages":[{"language":"ru","tabs":[{"tab":"Документация","pages":[{"title":"Документация","href":""}]},{"tab":"Руководства","groups":[{"group":"Начало работы","pages":[{"title":"Начало работы","icon":"rocket","href":"/gaidy/getting-started"},{"title":"Как работать с текстом","icon":"message","href":"/gaidy/chat-completions"},{"title":"Потоковая передача","icon":"arrow-down-wide","href":"/gaidy/streaming"},{"title":"Как работать с медиа","icon":"paperclip","href":"/gaidy/media-input"},{"title":"MCP-сервер","icon":"plug","href":"/gaidy/mcp"}]},{"group":"Возможности моделей","pages":[{"title":"Вызов функций (Tool Calling)","icon":"wrench","href":"/gaidy/tool-calling"},{"title":"Структурированный вывод","icon":"brackets-curly","href":"/gaidy/structured-output"},{"title":"Reasoning Tokens","icon":"brain","href":"/gaidy/reasoning-tokens"},{"title":"Кэширование запросов","icon":"database","href":"/gaidy/caching"},{"title":"Поиск в интернете","icon":"globe","href":"/gaidy/web-search"},{"title":"Учет средств (Usage)","description":"Как читать расход по каждому запросу, вести свою историю и расставлять пороги","icon":"chart-simple","href":"/gaidy/usage"}]},{"group":"Генерация медиа","icon":"image","pages":[{"title":"Каталог медиа-моделей","openapi":"api-reference/openapi.json GET /api/v1/media/models","icon":"microchip","href":"/api-reference/media/models"},{"title":"Модели генерации изображений","description":"Изображения по тексту, по референсу, редактирование и апскейл.","icon":"image","href":"/api-reference/media/image-models"},{"title":"Модели генерации видео","icon":"video","href":"/api-reference/media/video-models"},{"title":"Модели генерации аудио и музыки","icon":"volume-high","href":"/api-reference/media/audio-models"}]},{"group":"Фреймворки","pages":[{"title":"LangChain","icon":"link","href":"/gaidy/langchain"},{"title":"LangGraph: stateful-агент на моделях SpeShu.AI","icon":"git-branch","href":"/gaidy/langgraph"},{"title":"LlamaIndex","icon":"database","href":"/gaidy/llamaindex"},{"title":"Haystack: интеграция с SpeShu.AI","icon":"search","href":"/gaidy/haystack"},{"title":"CrewAI: подключение мультиагентного фреймворка к SpeShu.AI","icon":"users","href":"/gaidy/crewai"},{"title":"Mastra AI: TypeScript-фреймворк для ИИ-агентов, workflow и tools","icon":"code","href":"/gaidy/mastra-ai"},{"title":"Agno","icon":"brain","href":"/gaidy/agno-ai"},{"title":"Flowise: подключение к SpeShu.AI","icon":"bot","href":"/gaidy/flowise"},{"title":"Dify: подключение SpeShu.AI как OpenAI-совместимый провайдер","icon":"robot","href":"/gaidy/dify"},{"title":"RagFlow","icon":"file-search","href":"/gaidy/ragflow"},{"title":"Langflow: визуальный конструктор LLM-flow на моделях SpeShu.AI","icon":"workflow","href":"/gaidy/langflow"},{"title":"n8n Automation: подключение SpeShu.AI к workflow","icon":"workflow","href":"/gaidy/n8n-automation"}]},{"group":"Базы данных","pages":[{"title":"Chroma","icon":"database","href":"/gaidy/chroma-vector-db"},{"title":"Qdrant","icon":"database","href":"/gaidy/qdrant-vector-store"},{"title":"Weaviate","icon":"database","href":"/gaidy/weaviate"}]},{"group":"Агенты и редакторы","pages":[{"title":"Claude Code","icon":"code","href":"/gaidy/claude-code"},{"title":"Qwen Code CLI","icon":"q","href":"/gaidy/qwen-code"},{"title":"OpenCode","icon":"terminal","href":"/gaidy/opencode"},{"title":"OpenClaw","icon":"paw","href":"/gaidy/openclaw"},{"title":"Cline (VS Code / Cursor)","icon":"code","href":"/gaidy/cline"},{"title":"Kilo Code (VS Code / PyCharm)","icon":"k","href":"/gaidy/kilo-code"},{"title":"Roo Code","icon":"robot","href":"/gaidy/roo-code"}]},{"group":"No-code и автоматизация","pages":[{"title":"AutoGPT","icon":"route","href":"/gaidy/autogpt"},{"title":"AgentGPT: как запустить автономного ИИ-агента прямо в браузере","icon":"globe","href":"/gaidy/agentgpt"},{"title":"SuperAGI","icon":"zap","href":"/gaidy/superagi"},{"title":"MoltBot","icon":"message-circle","href":"/gaidy/moltbot"},{"title":"ollama-llm: подключение к SpeShu.AI через OpenAI-совместимый адрес","icon":"server","href":"/gaidy/ollama-llm"}]}]},{"tab":"API Reference","groups":[{"group":"Текстовая генерация","pages":[{"title":"Введение в API","icon":"book","href":"/api-reference/introduction"},{"title":"Запрос чату","openapi":"api-reference/openapi.json POST /api/v1/chat/completions","playground":"interactive","icon":"message","href":"/api-reference/chat/completions"},{"title":"Responses","openapi":"api-reference/openapi.json POST /api/v1/responses","icon":"list","href":"/api-reference/responses/create"},{"title":"Anthropic Messages","openapi":"api-reference/openapi.json POST /api/v1/messages","icon":"a","href":"/api-reference/messages/create"},{"title":"Оценка решений","openapi":"api-reference/openapi.json POST /api/v1/decisions","playground":"interactive","icon":"scale-balanced","href":"/api-reference/decisions/create"},{"title":"Эмбеддинги","openapi":"api-reference/openapi.json POST /api/v1/embeddings","playground":"interactive","icon":"circle-nodes","href":"/api-reference/embeddings/create"},{"title":"Ранжирование","openapi":"api-reference/openapi.json POST /api/v1/rerank","playground":"interactive","icon":"arrow-down-short-wide","href":"/api-reference/rerank/create"}]},{"group":"Инструменты","pages":[{"title":"Поиск в интернете","openapi":"api-reference/openapi.json POST /api/v1/tools/search","playground":"interactive","icon":"magnifying-glass","href":"/api-reference/tools/search"},{"title":"Загрузка страницы","openapi":"api-reference/openapi.json POST /api/v1/tools/fetch","playground":"interactive","icon":"file-lines","href":"/api-reference/tools/fetch"}]},{"group":"Аудио","pages":[{"title":"Синтез речи","openapi":"api-reference/openapi.json POST /api/v1/audio/speech","playground":"interactive","icon":"volume-high","href":"/api-reference/audio/speech"},{"title":"Распознавание речи","openapi":"api-reference/openapi.json POST /api/v1/audio/transcriptions","playground":"interactive","icon":"microphone","href":"/api-reference/audio/transcriptions"}]},{"group":"Медиа","pages":[{"title":"Создать задачу","openapi":"api-reference/openapi.json POST /api/v1/async/media/tasks","playground":"interactive","icon":"plus","href":"/api-reference/media/create"},{"title":"Статус задачи","openapi":"api-reference/openapi.json GET /api/v1/async/media/tasks/{task_id}","icon":"magnifying-glass","href":"/api-reference/media/status"},{"title":"Список задач","openapi":"api-reference/openapi.json GET /api/v1/async/media/tasks","icon":"list","href":"/api-reference/media/list"},{"title":"Жизненный цикл задачи","openapi":"/api-reference/openapi.json","icon":"rotate","href":"/api-reference/media/tasks"},{"title":"Медиа-сессии","description":"Группировка задач генерации и определение длительности медиа","icon":"folder","href":"/api-reference/media/sessions"},{"title":"Каталог медиа-моделей","openapi":"api-reference/openapi.json GET /api/v1/media/models","icon":"microchip","href":"/api-reference/media/models"}]},{"group":"Хранилище","pages":[{"title":"Загрузить файл","description":"POST /api/v1/storage/upload — загрузка файла в хранилище и получение ссылки","openapi":"api-reference/openapi.json POST /api/v1/storage/upload","playground":"interactive","icon":"upload","href":"/api-reference/storage/upload"},{"title":"Список файлов","openapi":"api-reference/openapi.json GET /api/v1/storage","playground":"interactive","icon":"list","href":"/api-reference/storage/list"},{"title":"Метаданные файла","openapi":"api-reference/openapi.json GET /api/v1/storage/{id}","playground":"interactive","icon":"magnifying-glass","href":"/api-reference/storage/get"},{"title":"Удалить файл","openapi":"api-reference/openapi.json DELETE /api/v1/storage/{id}","icon":"trash","href":"/api-reference/storage/delete"}]},{"group":"Модели и баланс","pages":[{"title":"Каталог моделей","openapi":"api-reference/openapi.json GET /api/v1/models","playground":"interactive","icon":"microchip","href":"/api-reference/models/list"},{"title":"Баланс","openapi":"api-reference/openapi.json GET /api/v1/balance","playground":"interactive","icon":"wallet","href":"/api-reference/other/balance"}]}]}]}]},"basePath":"","title":"Каталог медиа-моделей - Документация SpeShu.AI","buildId":"dpl_2AK98Hxhwu4fUXpx9atbv41cC328","deploymentId":"dpl_2AK98Hxhwu4fUXpx9atbv41cC328","dynamics":["c2aa737661","b0f84f53ff","a9bb46feb3","2b790eda92"],"chunks":["OpenApiReferenceProvider-EBSrFTg1.js","utils-Y_7TcRh4.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-D1wvvkPH.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-aT0ty6oN.js","snippetPresets-DoNRuyJc.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","conditional-requirements-CFM0id0Q.js","Page-DCFaZE46.js","ApiExamples-CXRajFpn.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BAyOsINj.js","shallow-CIcHqV1v.js","getApiPlaygroundDisplay-C5igZwEf.js","CodeSnippet-BFWnQLNh.js","CodeSnippets-Cx2mFgZW.js","getPastedJson-BOy09PZp.js","icon-BwmYtB6R.js","MethodPill-DAIhq-iu.js","DuplicateIcon-DFM8Q3ph.js","createIcon-0UdvzB4Z.js","DynamicMarkdown-DYYZTGpa.js","SectionHeading-BFCDRUuH.js","axios-vUo_bRtp.js","Markdown-C6TcKjiR.js","clsx-Y_UC780V.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-PCbBHBTv.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-D4q_oRML.js"]}